<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <title>An Intro To Haskell | About</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="This is a course page for Haskell, a course given at the Utrecht University.">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="icon" href="../img/icon.png">
</head>

<body>
    <header>
        An Intro To Haskell
    </header>
    <nav>
        <label class="burger-icon" for="menu-toggle">&#9776;</label>
        <input type="checkbox" id="menu-toggle" />
        <ul class="menu">
            <li><a class="menu__item" href="../index.html">Home</a></li>
            <li><a class="menu__item" href="schedule.html">Schedule</a></li>
            <li><a class="menu__item" href="staff.html">Staff</a></li>
            <li><a class="menu__item" href="assignments.html">Assignments</a></li>
            <li><a class="menu__item current" href="about.html">About</a></li>
            <li><a class="menu__item" href="info.html">Info</a></li>
        </ul>
    </nav>
    <main>
        <div class="content">
            <div class="content__wrapper">
                <h1><strong>About The Course</strong></h1>
                <h3>Description</h3>
                <p>This course aims to teach you how to program in the beautiful langauge called Haskell. Haskell is a Functional Programming language, which means it is entirely based on expressions and functions. This is particularly useful for the compiler,
                    because we can reason about our programs. In object-oriented languages, you cannot do this because the code is impure. </p>

                <p>Purity in terms of code means that it either will, or will not produce side-effects. Side-effects are operations like I/O actions, for example printing or reading from the console. Some important topics in this course are higher-order
                    functions, polymorphism in Functional Programming, data types, and pattern matching. Haskell features a lot of abstractions like Monads, Monoids, and Functors. By the end of the course we hope you can write idiomatic Haskell code,
                    as well as understand and apply Functional Programming concepts.</p>

                <section>
                    <h3>Grading</h3>
                    <p>
                        The Final Grade will depend on the exams and the three assignments

                        <ul class="list">
                            <li>The theory grade, T, is 0.4 x mid-term grade + 0.6 x final exam grade. You will need at least T >= 5 to pass the course.</li>
                            <li>The practical grade, P, is 0.3 x first assignment + 0.3 x second assignment + 0.4 x third assignment. You will need to pass at least two out of three assignments and obtain P >= 5 to pass the course.</li>
                        </ul>
                        <p>
                            The Final Grade is computed as 0.5 x T + 0.5 x P. The final result of the course is:
                            <ul class="list">
                                <li>Passed with grade F if F >= 5.5, T >= 5, P >= 5 and passed at least two out of three lab assignments</li>
                                <li>Not passed with AANV if F > 4.0, but T &lt; 5 or P &lt; 5 or passed fewer than two lab assignments
                                    <li class="list-nested">In this case you are entitled to a retake exam, to be determined per student</li>
                                    <li class="list-nested">If you still need to hand in a lab assignment, the final grade is a 6 maximum</li>
                                    <li>Not passed with NVD otherwise</li>
                            </ul>
                </section>
                <section>
                    <h3>
                        Literature
                    </h3>

                    <ul class="list">
                        <li>Recommended Reading:</li>
                        <li class="list-nested"><a href="http://learnyouahaskell.com/" target="_blank">Learn You A Haskell</a> </li>
                        <li>Other Sources: </li>
                        <li class="list-nested"> <a href="https://www.haskell.org" target="_blank">Official Website</a> </li>
                        <li class="list-nested"> <a href="https://en.wikipedia.org/wiki/Haskell_(programming_language)" target="_blank">Wikipedia</a> </li>
                    </ul>
                </section>
            </div>
        </div>
    </main>
    <script src="../js/selectMenu.js"></script>
</body>

</html>